Bug 240163 (CVE-2007-1453) - CVE-2007-1453 filter extension buffer underflow
Summary: CVE-2007-1453 filter extension buffer underflow
Status: CLOSED NOTABUG
Alias: CVE-2007-1453
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Keywords:
: 239317 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-15 15:51 UTC by Joe Orton
Modified: 2007-05-15 15:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 15:53:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2007-05-15 15:51:56 UTC
Description of problem:
Buffer underflow in the PHP_FILTER_TRIM_DEFAULT macro in the filtering extension
(ext/filter) in PHP 5.2.0 allows context-dependent attackers to execute
arbitrary code by calling filter_var with certain modes such as
FILTER_VALIDATE_INT, which causes filter to write a null byte in whitespace that
precedes the buffer.

Comment 1 Joe Orton 2007-05-15 15:53:50 UTC
The 'filter' extension is not currently included in php packages distributed by
Red Hat.

Comment 2 Joe Orton 2007-05-15 15:54:03 UTC
*** Bug 239317 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.